summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Michael Wagner <lapinours@web.de>2010-05-11 14:03:47 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:03:47 +0200
commit1159643f0305d048149e87c67bda012239216688 (patch)
tree182757525285c79fb343e3f50eb21faca5dd084c /desktop
parentc58610211671238bb73eb59a1f9600185fdf2534 (diff)
downloadslackbuilds-1159643f0305d048149e87c67bda012239216688.tar.gz
slackbuilds-1159643f0305d048149e87c67bda012239216688.tar.xz
desktop/tango-icon-theme: Initial import
Diffstat (limited to 'desktop')
-rw-r--r--desktop/tango-icon-theme/README42
-rw-r--r--desktop/tango-icon-theme/doinst.sh4
-rw-r--r--desktop/tango-icon-theme/slack-desc19
-rw-r--r--desktop/tango-icon-theme/tango-icon-theme.SlackBuild62
-rw-r--r--desktop/tango-icon-theme/tango-icon-theme.info8
5 files changed, 135 insertions, 0 deletions
diff --git a/desktop/tango-icon-theme/README b/desktop/tango-icon-theme/README
new file mode 100644
index 0000000000..4be3019d81
--- /dev/null
+++ b/desktop/tango-icon-theme/README
@@ -0,0 +1,42 @@
+The Tango Icon Theme is a desktop environment independent set of icons
+following the new icon name specification.
+
+In order to build the package you need the XML::Simple perl module
+and icon-naming-utils, both of which are available from SlackBuilds.org
+Also, be sure you have all of the latest packages from /patches on
+the Slackware mirror installed, especially gnome-icon-theme.
+
+For XFce, it should work as is: (Settings Manager -> User Interface).
+Note that Xfce's Rodent icon theme inherits Tango icons by default, so some
+of your icons (the ones that are currently falling back to the hicolor theme)
+will change to the Tango theme simply by installing it.
+
+GNOME and KDE users need to do some changes.
+
+To change the default GNOME icon theme execute:
+
+ gconftool-2 --direct --config-source \
+ xml:readwrite:/etc/gconf/gconf.xml.defaults --type string \
+ --set /desktop/gnome/interface/icon_theme Tango
+
+To change a user specific GNOME icon theme execute:
+
+ gconftool-2 --type string --set /desktop/gnome/interface/icon_theme Tango
+
+KDE users need to perform further steps.
+First, edit /usr/share/icons/Tango/index.theme:
+
+ sed -i "s/Context=\w*/Context=FileSystems/g" index.theme
+
+and place a symlink to Tango either in your user specific or KDE's default
+location (see /opt/kde/bin/kde-config --path icon). You should then be able
+to select the icon theme from within the control center.
+
+KDE users will get slightly better looking icons if they add the option
+ --enable-png-creation
+to the configure part of the SlackBuild.
+
+If you are not using any settings manager (fluxbox,blackbox...), you can add
+the following to your .gtkrc-2.0 (create it if it does not exist).
+
+ gtk-icon-theme-name="Tango"
diff --git a/desktop/tango-icon-theme/doinst.sh b/desktop/tango-icon-theme/doinst.sh
new file mode 100644
index 0000000000..80310f45aa
--- /dev/null
+++ b/desktop/tango-icon-theme/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x usr/bin/gtk-update-icon-cache ]; then
+ find usr/share/icons -maxdepth 1 -type d -exec \
+ ./usr/bin/gtk-update-icon-cache -f -q {} \; &> /dev/null
+fi
diff --git a/desktop/tango-icon-theme/slack-desc b/desktop/tango-icon-theme/slack-desc
new file mode 100644
index 0000000000..2fefeab8b6
--- /dev/null
+++ b/desktop/tango-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tango-icon-theme: tango-icon-theme (Desktop independent icon theme)
+tango-icon-theme:
+tango-icon-theme: Homepage: http://tango.freedesktop.org
+tango-icon-theme:
+tango-icon-theme:
+tango-icon-theme:
+tango-icon-theme:
+tango-icon-theme:
+tango-icon-theme:
+tango-icon-theme:
+tango-icon-theme:
diff --git a/desktop/tango-icon-theme/tango-icon-theme.SlackBuild b/desktop/tango-icon-theme/tango-icon-theme.SlackBuild
new file mode 100644
index 0000000000..b629bc17b5
--- /dev/null
+++ b/desktop/tango-icon-theme/tango-icon-theme.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+#
+# Slackware Build Script for Tango Icon Theme
+# (C) 2007 Michael Wagner <lapinours@web.de>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=tango-icon-theme
+VERSION=0.8.0
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL README"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root.root .
+chmod -R a-s,u+rw,go-w .
+
+./configure \
+ --prefix=/usr \
+ --program-prefix="" \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/tango-icon-theme/tango-icon-theme.info b/desktop/tango-icon-theme/tango-icon-theme.info
new file mode 100644
index 0000000000..176732307b
--- /dev/null
+++ b/desktop/tango-icon-theme/tango-icon-theme.info
@@ -0,0 +1,8 @@
+PRGNAM="tango-icon-theme"
+VERSION="0.8.0"
+HOMEPAGE="http://tango.freedesktop.org"
+DOWNLOAD="http://tango-project.org/releases/tango-icon-theme-0.8.0.tar.gz"
+MD5SUM="feb1870e84b99ea41db9b51a448c59f8"
+MAINTAINER="Michael Wagner"
+EMAIL="lapinours@web.de"
+APPROVED="rworkman"